Page MenuHomePhabricator

Indicate presence/absence of a local version of the page
Closed, ResolvedPublic

Description

When a page is delivered through an external translation service, we want to make explicit whether a version of the content created by the community already exists for the target language, or not:

When the local version exists:

  • "Missing in <target-language>" messages is shown in red (Red50, #d33) below the page title. The message is shown in the target language.

When the local version does not exist:

  • "Community-created content on this topic [is also available]" messages is shown in grey (Base20, #54595D) below the page title. The message is shown in the target language.
  • The "is also available" part will link to the local version of the page (the Indonesian Wikipedia article on the Golden Gate Bridge, in the example above).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2018, 5:47 PM
Pginer-WMF triaged this task as Medium priority.Dec 19 2018, 10:19 AM
Pginer-WMF raised the priority of this task from Medium to High.Dec 21 2018, 8:07 AM
santhosh moved this task from Backlog to In Progress on the ExternalGuidance board.Jan 3 2019, 8:52 AM
santhosh claimed this task.Jan 3 2019, 11:41 AM

Change 482014 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ExternalGuidance@master] Indicate presence/absence of a local version of the page

https://gerrit.wikimedia.org/r/482014

Change 482014 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Indicate presence/absence of a local version of the page

https://gerrit.wikimedia.org/r/482014

santhosh moved this task from In Review to Done on the ExternalGuidance board.Jan 8 2019, 11:49 AM
Pginer-WMF closed this task as Resolved.Feb 8 2019, 11:11 AM

The indicators are in place. I captured in T215596 that the link target needs to be verified once we complete the initial deployment.